Page MenuHomePhabricator

Move #Pywikibot-Other-scripts to #Pywikibot-Scripts and transform it into parent project
Closed, ResolvedPublic

Description

There are several main parts of Pywikibot framework:

For all of these we have got Phabricator project, except of scripts, for which we have got many pywikibot scripts projects.

Per T170090 we would like to ask for renaming project #pywikibot-other-scripts to #pywikibot-scripts, and make all open ^Pywikibot-.*\.py$ projects, Pywikibot-touch.py, Pywikibot-xmlreader.py and Pywikibot-catfiles its subprojects.

Event Timeline

Dvorapa created this task.May 29 2018, 2:43 PM
Dvorapa moved this task from Incoming to Projects to change / set on the Project-Admins board.
Dvorapa updated the task description. (Show Details)
Dvorapa updated the task description. (Show Details)Jun 11 2018, 12:03 PM
Dvorapa updated the task description. (Show Details)
Vvjjkkii renamed this task from Move #Pywikibot-Other-scripts to #Pywikibot-Scripts and transform it into parent project to w2baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, MarcoAurelio.
MacFan4000 renamed this task from w2baaaaaaa to Move #Pywikibot-Other-scripts to #Pywikibot-Scripts and transform it into parent project.Jul 2 2018, 3:24 PM
MacFan4000 raised the priority of this task from High to Needs Triage.
MacFan4000 updated the task description. (Show Details)
MacFan4000 added subscribers: Aklapper, MarcoAurelio.
Aklapper updated the task description. (Show Details)Jul 3 2018, 8:04 AM
Xqt triaged this task as Low priority.Sep 29 2018, 2:41 PM

Alright, we have a script in place to convert parent projects into subprojects (see T221112).
I've looked at https://phabricator.wikimedia.org/project/query/Emdqjcb4QjF9/#R for a list of Pywikibot project tags in Phab.

Please confirm that these steps to perform are correct and complete and wanted by Pywikibot maintainers:

Copyright and delinker not, they were part of Pywikibot-compat never ported to core

Textlib and pagegenerators also not, basically they are not scripts, but library modules

I wonder about cosmetic-changes, these must be discussed first (but can be joined afterwards, right?)

Xqt added a comment.May 15 2019, 1:38 PM

I wonder about cosmetic-changes, these must be discussed first (but can be joined afterwards, right?)

Same for login.py

Dvorapa added a comment.EditedMay 15 2019, 1:46 PM

Same for login.py

Correct!

@Aklapper Anyway, the others listed seems ok! :)

  • Renamed #Pywikibot-Other-scripts to #Pywikibot-scripts
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-archivebot.py" --parent "Pywikibot-scripts" --keep-members child
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-category.py" --parent "Pywikibot-scripts" --keep-members child
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-interwiki.py" --parent "Pywikibot-scripts" --keep-members child
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-redirect.py" --parent "Pywikibot-scripts" --keep-members child
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-replace.py" --parent "Pywikibot-scripts" --keep-members child
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-solve-disambiguation.py" --parent "Pywikibot-scripts" --keep-members child
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-touch.py" --parent "Pywikibot-scripts" --keep-members child
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-weblinkchecker.py" --parent "Pywikibot-scripts" --keep-members child
  • sudo /srv/phab/phabricator/bin/move_project --subproject --child "Pywikibot-xmlreader.py" --parent "Pywikibot-scripts" --keep-members child

Cannot move Pywikibot-catfiles because it is already a subproject of Tools. Can do that manually though if wanted?

The commands I ran above created some data inconsistency, due to a bug in that script. For example, T57111 was in both #Pywikibot-other-scripts and #pywikibot-solve-disambiguation.py or T57020 was in both #Pywikibot-other-scripts and #pywikibot-weblinkchecker.py. The script does not check if a task is in both the future parent and the future subproject, to remove the future parent project when turning a project into a subproject.
Affected tasks were: https://phabricator.wikimedia.org/maniphest/?ids=104952,105581,57111,57020,167709,85334,117176,57048

A task can only be in *one* subproject of the same parent project, so tasks like https://phabricator.wikimedia.org/T85334 have invalid associated project data now.

I think there's currently nothing else left for me here? :)

Aklapper closed this task as Resolved.May 27 2019, 11:15 AM

Filed the issue in the last comment as T224421.

No reply to my previous comment, hence closing as resolved.

  • catfiles: ok, let's leave it as is
  • everything seems okay now